%{?!python:%define python python}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedMail

Name:           %{python}-twisted-mail
Version:        0.4.0
Release:        4%{?dist}
Summary:        A Twisted Mail library, server and client

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Mail/0.4/TwistedMail-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       %{python}-twisted-core >= 2.5.0
Requires:       %{python}-twisted-names

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

%prep
%setup -n %{origname}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

# this .py file has a shebang line so should be executable
chmod +x $RPM_BUILD_ROOT%{python_sitearch}/twisted/mail/test/pop3testserver.py

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_libexecdir}/twisted-dropin-cache

%postun -p %{_libexecdir}/twisted-dropin-cache

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/*
%{_mandir}/man1/*
%{_bindir}/mailmail

%{python_sitearch}/twisted/mail/

%{python_sitearch}/twisted/plugins/twisted_mail.py*

%if 0%{?fedora} >= 9
  %{python_sitearch}/Twisted_Mail-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.4.0-4
- Fix the egg issue, drop the pyver stuff.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-1
- new version

* Wed Jan 03 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-4
- add python-devel BR
- add docs

* Wed Nov 01 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-3
- make script with shebang executable

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-2
- no longer ghost .pyo files
- rebuild the dropin.cache

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-1
- new release
- remove noarch

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

